#!/usr/bin/perl

use utils;
$args=&utils::args;
no utils;

$args->{tpl}=$args->{template} unless defined $args->{tpl};
length $args->{$_} or die <DATA> foreach qw'in out tpl rules';

use RXParser;

local($mapping_file, $template_file, $text_file_in, $text_file_out)=@$args{+qw'rules tpl in out'};
#local($mapping_file, $template_file, $text_file_in, $text_file_out)=(
#	'config/news.rx',   #      
#	'config/news.rxml', #      
#	'res/in.html',          #   
#	'out1.html'          #   
#);

	#    
$mapping=RXParser::Mapping->new(
	#       
			file=>$mapping_file
	#       
		)->prepare;
	#        $text_file
$parser =RXParser::Parser->new(
	#     
			mapping=>$mapping,
	#   ,   
			file=>$text_file_in
	#    $text_file  ,
	#   $mapping_file
		)->prepare;
	#       $text_file_out
	#    $template_file

$translator=RXParser::RXML->new(
	#         $text_file_in
			parser=>$parser,
	#      
			file=>$template_file
	#     $text_file_out
			#,output=>$text_file_out
	#      $template_file
		)->prepare;

	#      $template_file 
	#  $text_file_in   $text_file_out
$translator->saveAs($text_file_out) or die <DATA>;

print '
	Successed! File "',
		$text_file_out,
	'" was created
';
exit 0;

__DATA__

################################################################################

                            Usage RXParser 1.7125

	parse.pl - Universal text parser and translator.

	perl parse.pl -in=<in_file> -out=<out_file> -rules=<rules_file>
                                                -tpl=<template_file>

	perl parse.pl  in=<in_file>  out=<out_file>  rules=<rules_file>
                                                 tpl=<template_file>

	PARAMETERS:

	in      - Input text filename to parse and translate
	rules   - File with rules for in-file decomposition
	tpl     - Template file with rules for output composition
	out     - Output text filename

///////////////////////////////////////////////////////////////////////////////
	Example:
	perl parse.pl -in=in.html -out=out.html -tpl=config/news.rxml
						-rules=config/news.rx

        Successed! File "out.html" was created
///////////////////////////////////////////////////////////////////////////////

	Shatrow Aleksey <cdch@yandex.ru>
	All rights reserved (c). Russia, Krasnodar, March 13, 2005

################################################################################
